Subject: Re: bug#9118: 23.3.50; Don't seed the RNG in message-unique-id

From: Leo <[email-masked]>
Date: Tue, 19 Jul 2011 23:44:30 +0800

On 2011-07-19 23:24 +0800, Lars Magne Ingebrigtsen wrote:
>> But you can arrange to seed it once when that file is loaded. No need to
>> seed it every time.
>
> Calling it once every time you send an email isn't really heavy usage of
> the re-seeding.

But every seeding interrupts the internal random state (which is out of
our control at the moment) and break the users' train of random numbers.

Also if you grep (random t) in the lisp/, you can see there is some
effort in making a package only change the random state at most once.

Leo